/**
 *main.js
 * 项目主文件
 *     --Created by Li Yubo on 2016/10/24 17:16.
 */
require.config({
  urlArgs: 'v=201704240924',
  paths: {
    vue: "http://img.icon.systoon.com/icon/apr/js/lib/vue.min",
    router: "http://img.icon.systoon.com/icon/apr/js/lib/vue-router.min",
    resource: "http://img.icon.systoon.com/icon/apr/js/lib/vue-resource.min",
    iscroll: "http://img.icon.systoon.com/icon/apr/js/lib/iscroll",
    core: "lib/core",
    text: "http://img.icon.systoon.com/icon/apr/js/lib/text",
    jq: "lib/jquery-1.11.1.min",
    bscroll: "lib/bscroll.min",
    scrollComponent: 'lib/scroll-component',
    scrollLoading: 'lib/scroll-loading',
    scrollBubble: 'lib/scroll-bubble',
    scrollEase: 'lib/scroll-ease',
    mobiscroller: "lib/mobiscroll.custom.min",
    swiper: "lib/swiper-3.4.2.min",
    analytics: "lib/analytics",
    tplPath: "../tpl",
    css: 'lib/css.min',
    cssPath: "../css",
    pinyin: "lib/browser",
    base64: "lib/base64"
  },
  //baseUrl:serviceUrl+"toonPay/js",
  shim: {//注入全局变量
    'iscroll': {
      exports: 'IScroll'
    },
    "jq": {
      exports: '$'
    },
    "bscroll": {
      exports: 'Bscroll'
    },
    "scrollLoading": {
      exports: 'scrollLoading'
    },
    "scrollEase": {
      exports: 'ease'
    },
    "scrollComponent": {
      exports: 'ScrollComponent'
    },
    "scrollBubble": {
      exports: 'scrollBubble'
    },
    'mobiscroller': {
      deps: ['jq', 'css!cssPath/mobiscroll/mobiscroll.custom-2.17.2.min.css'],
      exports: 'mobiscroller'
    },
    "analytics": {
      deps: ['vue', 'jq'],
      exports: "analytics"
    },
    'swiper': {
      deps: ['css!cssPath/swiper-3.4.2.min.css'],

      exports: 'Swiper'

    },
    "pinyin": {
      exports: 'pinyin'
    },
    "base64": {
      exports: 'base64'
    }
  }
});
require(["common/router"]);
