/**
 *add-notice
 *发布公告页模块
 *     --Created by shenxiaowei on 2016/12/20 15:20.
 */
define(["vue", "common/config", "common/api", "core", "text!tplPath/active-intro.html"], function (Vue, config, api, core, tpl) {
  var module = Vue.extend({
    template: tpl,
    ready: function () {

    },
    data: function () {
      return {
        showDescription: "",
        images: []
      }
    },
    route: {
      activate: function (transition) {
        //console.log("pipeline list vue.route.activate");
        var that = this;
        that.showDescription = that.$route.query.showDescription.replace(/\r\n/g, "<br>").replace(/\r/g, "<br>").replace(/\n/g, "<br>").replace(/\s/g, "&nbsp;").replace("img&nbsp;src", "img src");
        that.images = JSON.parse(that.$route.query.images);
        transition.next();
      },
      deactivate: function (transition) {
        //console.log("pipeline list vue.route.deactivate");
        return transition.next();
      }
    },
    methods: {},
    events: {}
  });
  return module;
});