/**
 *heartbeat
 *����ҳģ��
 *     --Created by Zhou Bin on 2016/10/31 10:43.
 */
define(["vue", "common/config", "common/api", "text!tplPath/heartbeat.html"], function (Vue, config, api, tpl) {
  var heartParams = {
    page: 1,
    loadingFlag: false
  };
  var module = Vue.extend({
    template: tpl,
    data: function () {
      return {
        text: "",
        ac_id: null,
        heartList: null,
        isMoreData: true,
        attentionFlag: false,
        loadingMore: false,
        initFlag: true,
        oldPage: null,
        isShowText: false
      }
    },
    ready: function () {

    },
    route: {
      activate: function (transition) {
        //console.log("pipeline list vue.route.activate");
        var that = this;
        that.initFlag = true;
        that.ac_id = that.$route.query.ac_id;
        heartParams.page = 1;
        this.oldPage = 1;
        that.$emit("getHeartList");
        transition.next();
      },
      deactivate: function (transition) {
        //console.log("pipeline list vue.route.deactivate");
        return transition.next();
      }
    },
    methods: {
      attention: function (ara, ind) {
        var that = this;
        var type = ara.is_follow == 1 ? 0 : 1;
        var param = {
          "user_id": config.session.user_id,
          "toUser_id": ara.userId,
          "type": type
        };
        return api.attentionUser(param).then(function (data) {
          result = data;
          that.heartList[ind].is_follow = ara.is_follow == 1 ? 0 : 1;
//                    if(ara == 1){
//                        that.heartList[ind].is_follow = 0;
////                        alert("取消关注");
//                    }else{
//                        that.heartList[ind].is_follow = 1;
////                        alert("关注成功");
//                    }
          config.toonNotify({
            type: 'follow', // 关注
            userId: config.session.user_id + '', // 当前用户id
            followUserId: ara.userId + '', // 要关注的用户id
            status: that.heartList[ind].is_follow // 0：未关注、1：已关注
          });
        }).catch(function (data) {
          result = data;
          console.log("关注***************", data);
        });
      },
      onScroll: function (e) {
        var that = this;
        var remain = 150;
        var scrollHeight = e.target.scrollHeight;
        var scrollTop = e.target.scrollTop;
        var clientHeight = e.target.offsetHeight || window.innerHeight;
        that.initFlag = false;
        if (scrollHeight >= remain + 50 && scrollHeight - scrollTop - clientHeight < remain) {
          //如果有更多数据 或者没有加载中，执行
          if (this.isMoreData && !heartParams.loadingFlag && (this.oldPage < heartParams.page)) {
            this.oldPage = heartParams.page;
            that.$emit("getHeartList");
          }
        }
        //超出一屏显示 "底线"
        var winHeight = document.body.clientHeight;
        //加上页脚高度，消除误差
//                var footHeight = document.getElementById("sign-fade-foot").offsetHeight;

        if (scrollTop > winHeight) {
          this.isShowText = true;
        } else {
          this.isShowText = false;
        }

      },
      goSearch: function () {
        this.$router.go({name: "search"})
      },
      skipCard: function (item) {
//                if(item.user_id == config.session.user_id){
//                    return false;
//                }
        var _fid = item.feedId;
        var _userId = item.user_id;
        config.skipCard({feedId: _fid, userId: _userId});
      }
    },
    events: {
      getHeartList: function () {
        var that = this;
        var param = {
          user_id: config.session.user_id,
          ac_id: this.ac_id,
          page: heartParams.page
        };
        that.loadingMore = true;
        api.getHeartList(param, {loading: that.initFlag}).then(function (data) {
          heartParams.loadingFlag = true;
          result = data;
          if (heartParams.page == 1) {
            that.heartList = result;
          } else {
            that.heartList = that.heartList.concat(result);
          }
          if (data.length >= 10) {
            that.isMoreData = true;
          } else {
            that.isMoreData = false;
          }
          heartParams.page = heartParams.page + 1;
          that.$nextTick(function () {
            heartParams.loadingFlag = false;
            that.loadingMore = false;
          });
        }).catch(function (data) {
          result = data;
          if (result.code && result.code != '0') {
            alert(result.msg);
//                                that.$router.go({name:"error",query:{"text":result.msg}});
          }
        });
      }
    }
  });
  return module;
});