/**
 *add-notice
 *发布公告页模块
 *     --Created by shenxiaowei on 2016/12/20 15:20.
 */
define(["vue", "common/config", "common/api", "core", "text!tplPath/notice-list.html"], function (Vue, config, api, core, tpl) {
  var indexModule = {};
  indexModule.offset = 0;
  indexModule.limit = 10;
  indexModule.myOffset = 0;
  indexModule.loadingFlag = false;
  var module = Vue.extend({
    template: tpl,
    ready: function () {

    },
    data: function () {
      return {
        id: null,
        indexListData: [],
        noMyListData: false,
        isShowText: false,
        typeMark: config.session.mark,
        loadComplete: false,
        show: false,
        flag: null,
        showDataList: [],
        isMoreData: true

      }
    },
    reday: function () {
      //this.$dispatch('getToNum',that.productNum);
    },
    route: {
      activate: function (transition) {
        //console.log("pipeline list vue.route.activate");
        var that = this;
        indexModule.offset = 0;
        that.id = that.$route.query.id;
        that.flag = that.$route.query.flag;
        console.log('that.flag', that.flag)
        that.$emit("getNoticeList", "true");
        transition.next();
      },
      deactivate: function (transition) {
        //console.log("pipeline list vue.route.deactivate");
        return transition.next();
      }
    },
    methods: {
      addNotice: function () {
        this.$router.go({name: "addNotice", query: {"id": this.id, "page": "notice-list", "flag": this.flag}});
      },
      //列表滚动
      onScroll: function (e) {
        var remain = 150;
        var scrollHeight = e.target.scrollHeight;
        var scrollTop = e.target.scrollTop;
        var clientHeight = e.target.offsetHeight || window.innerHeight;
        if (scrollHeight >= remain + 50 && scrollHeight - scrollTop - clientHeight < remain) {
          //如果有更多数据 或者没有加载中，执行
          if (this.isMoreData && !indexModule.loadingFlag)this.$emit("getNoticeList", "false");
        }

        //超出一屏显示 "底线"
//                var winHeight = document.body.clientHeight;
        //加上页脚高度，消除误差
//                var footHeight = document.getElementById("notice-list-btn").offsetHeight;

        //if(scrollTop+footHeight>winHeight){
        //    this.isShowText = true;
        //}else{
        //    this.isShowText = false;
        //}


      },
      showAllContent: function (ind) {
        var that = this;
        that.indexListData[ind].show = !that.indexListData[ind].show;
//                console.log("改变了的",that.showDataList[ind].show);
      }
    },
    events: {
      getNoticeList: function (isOne) {
        var thisModule = this;
        indexModule.loadingFlag = true;
        var param = {
          offset: indexModule.offset,
          limit: indexModule.limit,
          ac_id: thisModule.id
        };
        return api.getNoticeList(param, {loading: false}).then(function (data) {
          data = data ? data : [];
//                    .replace(/\r\n/g, "<br>").replace(/\r/g, "<br>").replace(/\n/g, "<br>").replace(/\s/g, "&nbsp").replace("img&nbspsrc","img src")

          for (var i = 0; i < data.length; i++) {//处理换行及空格
            data[i].litContent = data[i].content.substr(0, 100).replace(/\r\n/g, "<br>").replace(/\r/g, "<br>").replace(/\n/g, "<br>").replace(/\s/g, "&nbsp;");
            data[i].content = data[i].content.replace(/\r\n/g, "<br>").replace(/\r/g, "<br>").replace(/\n/g, "<br>").replace(/\s/g, "&nbsp;");
//                        data[i].litContent = data[i].content;
            data[i].show = false;
          }
          if (indexModule.offset == 0) {
            thisModule.indexListData = data;
          } else {
            thisModule.indexListData = thisModule.indexListData.concat(data);
          }
          if (data.length < indexModule.limit) {
            thisModule.isMoreData = false;
          } else {
            thisModule.isMoreData = true;
          }
          if (data.length === 0 && indexModule.offset === 0) {
            thisModule.noMyListData = true;
          } else {
            thisModule.noMyListData = false;
          }
          if (thisModule.indexListData.length) {
            indexModule.offset = thisModule.indexListData[thisModule.indexListData.length - 1].id;
          }
          //if(isOne){
          //    indexModule.offset = 0;
          //}
          thisModule.$nextTick(function () {
            thisModule.loadComplete = true;
            indexModule.loadingFlag = false;
            if (thisModule.indexListData.length >= 3) {
              thisModule.isShowText = true;
            }
          });
          //config.loading(false);
        }).catch(function (err) {
          indexModule.loadingFlag = false;
          console.log(err);
          alert("获取活动失败");
        });
      },
      refreshList: function () {
        indexModule.offset = 0;
        this.$emit("getNoticeList");
      }
    },
    watch: {}
  });
  return module;
});