/**
 *signUp-CheckIn
 *已报名已签到
 *     Created by 137376 on 2017/2/20.
 */
define(["vue", "common/config", "common/api", "text!tplPath/signUp-CheckIn.html"], function (Vue, config, api, tpl) {
  var module = Vue.extend({
    template: tpl,
    data: function () {
      return {
        activeId: null,
        title: null,
        userInfo: null,
        userApplyInfo: null,
        noData: false,
        feed: null,
        loadComplete: false,
        sessin: null,
        loadCompleteInfo: false
      }
    },
    ready: function () {

    },
    route: {
      activate: function (transition) {
        var that = this;
        that.activeId = that.$route.query.ac_id ? that.$route.query.ac_id : "";
//                that.title = decodeURIComponent(that.$route.query.title) ? decodeURIComponent(that.$route.query.title) : "活动名称";
//                that.$emit("getUserInfo");
//                var sess = JSON.parse(window.sessionStorage.getItem("session")) ? JSON.parse(window.sessionStorage.getItem("session")) : null;
//                if(!config.session.session_id && sess){
//                    config.session = sess;
//                    this.feed = sess;
//                    console.log("!!!!!!!!!!!!!","sess");
//                    that.$emit("loginNoID");
//                }else
        if (config.session.user_id) {
          that.$emit("getUserApplyInfo");
          that.$emit("getPageInfo");
          that.feed = config.session;
        }
        return transition.next();
      }
    },
    methods: {
      checkIn: function () {
        var that = this;
        if (!config.session.user_id) {
          that.$emit("chooseCard");
        }
//                var that = this;
//                var result;
//                var param = {
//                    ac_id:that.res.id
//                };
//                return api.getSign(param).then(function(data){
//                    result = data;
//                    alert("签到成功");
//                }).catch(function(data){
//                        result = data;
//                        if(result.code && result.code != '0'){
//                            alert(result.msg);
//                        }
//                    });
      },
      gosign: function () {
        var that = this;
        var result;
        var param = {
          ac_id: that.activeId
        };
        return api.getSign(param).then(function (data) {
          result = data;
          that.$emit("getUserApplyInfo");
          alert("签到成功");
        }).catch(function (data) {
          result = data;
          if (result.code && result.code != '0') {
            alert(result.msg);
          }
        });
      },
      /*去报名*/
      goSignUp: function () {
        var parentPath = location.hash.match(new RegExp(/\/[\w|\-]{1,}\//));
        parentPath = parentPath ? parentPath[0] : "/";
        var custom_field = this.userApplyInfo.custom_field ? this.userApplyInfo.custom_field : {};
        var checkType = this.userApplyInfo.checktype;
        this.$router.go({
          path: "signUp-CheckIn/apply",
          query: {"id": this.activeId, "custom_field": JSON.stringify(custom_field), checkType: checkType}
        });
      },
      q: function () {
        this.$router.go({name: "active-info", query: {"id": this.activeId}});
      },
      skipCard: function () {
        var _fid = this.feed.feed_id;
        var _userId = this.feed.user_id;
        config.skipCard({feedId: _fid, userId: _userId});
      }
    },
    events: {
      refreshNOIDDetail: function () {
//                var sess = JSON.parse(window.sessionStorage.getItem("session")) ? JSON.parse(window.sessionStorage.getItem("session")) : null;
//                if(!config.session.session_id && sess){
//                    config.session = sess;
//                    this.feed = sess;
//                    console.log("!!!!!!!!!!!!!","sess");
//                    this.$emit("getUserApplyInfo");
//                }else
        if (config.session.user_id) {
          this.feed = config.session;
          this.$emit("getUserApplyInfo");
        }
      },
      getUserInfo: function () {
        this.userInfo = {
          name: "小小",
          fromscholl: "北京大学",
          avatar: "http://scloud.toon.mobi/f/Oxbs769ACZe9sMJkfCYfb50HN7xRMowGIt0E7zcmhFMfG_80_80_100_1.jpg",
          session_id: "ev4chdml4pmaqk1gpf7g8ur120"
        };
//                this.$emit("getUserApplyInfo");
      },
      //选择名片
      chooseCard: function () {
        var that = this;

        function callbackfun(e) {
          if (e.result == "cancel") {
            return false;
          }
          that.feed = e;
          if (!window.sessionStorage.getItem("session")) {
            window.sessionStorage.setItem("session", JSON.stringify(e));
          }
          that.$emit("loginNoID");
        }

        toonCall({
          "type": "0"
        }, "card/chooseCard", callbackfun);
      },
      //无身份登录
      loginNoID: function () {
        var that = this;
        config.loading(true);
        var param = {
          feed_id: this.feed.feedId,
          user_id: this.feed.userId
        };
        var opt = {
          loading: false
        };
        return api.noIDLogin(param, opt).then(function (data) {
          config.session = data;
          that.$emit("getUserApplyInfo");
//                    that.$emit("getPageInfo");
        }).catch(function (err) {
          alert("请求失败");
        });
      },
      getUserApplyInfo: function () {
        var that = this;
        var result;
//                var param = {
//                    ac_id:that.activeId,
//                    session_id:that.userInfo.session_id
//                };
//                this.userApplyInfo = {
//                    name:"sally",
//                    tel:"13755555555",
//                    applystate:"我要签到"
//                };
        var param = {
          ac_id: that.activeId
        };
        return api.getSignContent(param).then(function (data) {
          result = data;
          that.userApplyInfo = data;
          that.noData = that.userApplyInfo.mixstatus == 1 ? true : false;
          that.$nextTick(function () {
            that.loadComplete = true;
          });
          console.log("签到页面内容", result);
        }).catch(function (data) {
          result = data;
          if (result.code && result.code != '0') {
            console.log("error");
//                            alert(result.msg);
          }
        });
      },
      getPageInfo: function () {
        var that = this;
        var param = {
          ac_id: that.activeId,
          feed_id: config.session.feed_id,
          user_id: config.session.user_id
        };
        var info;
        api.activeInfo(param, {loading: that.initFlag}).then(function (data) {
          that.res = data;
          that.title = that.res.title;
          that.$nextTick(function () {
            that.loadCompleteInfo = true;
          });
        }).catch(function (data) {
          info = data;
          if (info.code && info.code == '-1') {
            that.$router.replace({name: "del", query: {text: info.msg}});
          } else if (info.code && info.code != '0') {
            // alert(info.msg);
          }
        });
      }
    }
  });
  return module;
});
