/**
 *add-notice
 *发布公告页模块
 *     --Created by shenxiaowei on 2016/12/20 15:20.
 */
define(["vue", "common/config", "common/api", "core", "text!tplPath/add-notice.html"], function (Vue, config, api, core, tpl) {
  var module = Vue.extend({
    template: tpl,
    ready: function () {

    },
    data: function () {
      return {
        id: null,
        content: null,
        len: 0,
        page: null,
        flag: null
      }
    },
    route: {
      activate: function (transition) {
        var that = this;
        that.id = that.$route.query.id;
        that.page = that.$route.query.page;
        if (that.page == "notice-list") {
          that.flag = that.$route.query.flag;
        }
        transition.next();
      },
      deactivate: function (transition) {
        return transition.next();
      }
    },
    methods: {
      getTextLen: function () {
        var that = this;
        // var interval = setInterval(function() {
        //     document.body.scrollTop = document.body.scrollHeight
        // }, 100)
        that.$set('content', document.getElementById("noticeText").value);
        var len = document.getElementById("noticeText").value.length;
        if (len > 500) {
          console.log("截断前", that.content);
          document.getElementById("noticeText").value = document.getElementById("noticeText").value.substr(0, 500);
          that.$set('content', document.getElementById("noticeText").value);
          console.log("截断后", that.content);
        } else {
          that.$set('content', document.getElementById("noticeText").value);
        }
        that.len = document.getElementById("noticeText").value.length;
      },
      subNotice: function () {
        var that = this;
        if(document.getElementById("noticeText").value == 0) {
          alert("活动公告不能为空！")
          return
        }
        var content = document.getElementById("noticeText").value > 500 ? document.getElementById("noticeText").value.replace(/^\n{1,}/, "").replace(/\n{1,}$/, "").substr(0, 500) : that.content.replace(/^\n{1,}/, "").replace(/\n{1,}$/, "");
        var param = {
          ac_id: that.id,
          content: content
        };
        return api.addNotice(param, {loading: false}).then(function (data) {
          alert("公告发布成功");
          if (that.page == "notice-list") {
            that.$dispatch("refreshList");
          } else if (that.page == "active-info") {
            that.$dispatch("showNotice", param.content);
          }
          history.back();
        }).catch(function (err) {
          console.log(err);
          alert("公告发布失败");
        });
      }
    },
    events: {}
  });
  return module;
});
