/**
 *search
 *搜索页模块
 *     --Created by Li Yubo on 2016/10/31 10:43.
 */
define(["vue", "common/config", "common/api", "text!tplPath/error.html"], function (Vue, config, api, tpl) {
  var module = Vue.extend({
    template: tpl,
    data: function () {
      return {
        text: "检查一下网络再试试吧"
      }
    },
    ready: function () {

    },
    route: {
      activate: function (transition) {
        //console.log("pipeline list vue.route.activate");
        var that = this;
        that.text = that.$route.query.text;
        transition.next();
      },
      deactivate: function (transition) {
        //console.log("pipeline list vue.route.deactivate");
        return transition.next();
      }
    },
    methods: {
      goSearch: function () {
        this.$router.go({name: "search"})
      },
      reFn: function () {
        if (config.entry && config.code) {
//                    var urlParam = config.pagePath.replace("error","").replace("error","");
          var urlArr = config.pagePath.split("?");
          var params = window.location.search;
          window.location.href = urlArr[0] + params;
        } else {
          window.location.reload();
        }
      }
    }
  });
  return module;
});